## Class Auth_OpenID_PAPE_Response

Description

A Provider Authentication Policy response, sent from a provider to

a relying party

Located in /Auth/OpenID/PAPE.php (line 159)

    Auth_OpenID_Extension
       |
       --Auth_OpenID_PAPE_Response

Variable Summary
mixed $ns_alias
mixed $ns_uri
Method Summary
Auth_OpenID_PAPE_Response Auth_OpenID_PAPE_Response ([ $auth_policies = null], [ $auth_time = null], [ $nist_auth_level = null])
void addPolicyURI (policy_uri: $policy_uri)
void fromSuccessResponse (success_response $success_response)
void getExtensionArgs ()
null parseExtensionArgs (args: $args, [strict: $strict = false])
Variables
mixed $ns_alias = 'pape' (line 161)

Redefinition of:

Auth_OpenID_Extension::$ns_alias

mixed $ns_uri = Auth_OpenID_PAPE_NS_URI (line 162)

Redefinition of:

Auth_OpenID_Extension::$ns_uri
  ns_uri: The namespace to which to add the arguments for this

Methods
Constructor Auth_OpenID_PAPE_Response (line 164)
Auth_OpenID_PAPE_Response Auth_OpenID_PAPE_Response ([ $auth_policies = null], [ $auth_time = null], [ $nist_auth_level = null])

- $auth_policies
- $auth_time
- $nist_auth_level

addPolicyURI (line 187)

Add a authentication policy to this response

This method is intended to be used by the provider to add a policy that the provider conformed to when authenticating the user.

void addPolicyURI (policy_uri: $policy_uri)

- policy_uri: $policy_uri: The identifier for the preferred type of authentication.

fromSuccessResponse (line 204)

Create an Auth_OpenID_PAPE_Response object from a successful OpenID library response.

void fromSuccessResponse (success_response $success_response)

- success_response $success_response: A SuccessResponse from Auth_OpenID_Consumer::complete()

getExtensionArgs (line 273)
void getExtensionArgs ()

Redefinition of:

Auth_OpenID_Extension::getExtensionArgs()
  Get the string arguments that should be added to an OpenID message for this extension.

parseExtensionArgs (line 237)

Parse the provider authentication policy arguments into the internal state of this object

- return: The data is parsed into the internal fields of this object.

null parseExtensionArgs (args: $args, [strict: $strict = false])

- args: $args: unqualified provider authentication policy arguments
- strict: $strict: Whether to return false when bad data is encountered

#### Inherited Methods

Inherited From Auth_OpenID_Extension

> Auth_OpenID_Extension::getExtensionArgs()
> Auth_OpenID_Extension::toMessage()

Documentation generated on Tue, 21 Apr 2009 11:31:32 -0700 by phpDocumentor 1.3.2